UPDATE(4)

NAME
update - flush internal filesystem caches to disk periodically

SYNOPSIS
update

DESCRIPTION
The update kernel process helps protect the integrity of disk volumes by flushing volatile cached filesystem data to disk. This is done at thirty second intervals by default. The time period may be changed by using sysctl(8) to modify the kern.update variable. The update process does the equivalent of the sync(2) function call to do the task.

SEE ALSO
sync(2), fsck(8), init(8), rc(8), sync(8), sysctl(8)

BUGS
It is possible on some systems that a sync occurring simultaneously with a crash may cause file system damage. See fsck(8).

HISTORY
An update command appeared in AT&T UNIX, and was usually started by /etc/rc when the system went multi-user. A kernel initiated update process first appeared in FreeBSD 2.0.